List ECR repositories for the environment AWS account
curl --request GET \
--url https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment/{environmentId}/ecr-repositories \
--header 'Authorization: Bearer <token>' \
--header 'Tenant-Id: <tenant-id>'import requests
url = "https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment/{environmentId}/ecr-repositories"
headers = {
"Tenant-Id": "<tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Tenant-Id': '<tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://9nr7sbhimh.execute-api.us-west-1.amazonaws.com/prod/environment/{environmentId}/ecr-repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"uri": "<string>",
"registry": "<string>",
"image_tags": [
"<string>"
]
}
]{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}{
"code": "common.internal_error",
"error": "<string>",
"meta": {}
}Environments
List ECR repositories for the environment AWS account
GET
/
environment
/
{environmentId}
/
ecr-repositories
List ECR repositories for the environment AWS account
Authorizations
BearerAuthApiKeyAuth
Bearer token in the Authorization header (e.g. JWT / Cognito access token).
Headers
ID of the tenant (current tenant context).
Path Parameters
Environment identifier.